Đến nội dung


Hình ảnh
- - - - -

Xin lisp lấy màu đối tượng


  • Please log in to reply
5 replies to this topic

#1 friendship293a

friendship293a

    biết lệnh erase

  • Members
  • PipPipPip
  • 102 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 07 January 2014 - 08:31 AM

Em cần lisp kích vào đối tượng rồi bật ra hộp thoại màu của đối tượng là màu số mấy. ai có cho em xin với. cảm ơn mọi người đã quan tâm.


  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 07 January 2014 - 08:49 AM

Ví dụ thế này chăng?

(defun C:HA()
 (vl-load-com)
 (acad_colordlg (vlax-get (vlax-ename->vla-object (car (entsel))) 'Color)))
 

  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 nguyenngoc971

nguyenngoc971

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 385 Bài viết
Điểm đánh giá: 74 (tàm tạm)

Đã gửi 07 January 2014 - 09:26 AM

Tôi có ý này: Dùng lisp đưa về by layer sau đó vào layer là biết.

Mà tôi không hiểu bạn quan tâm đến nó là màu số mấy làm gì nhỉ????Nếu bạn chưa quen quản lý nét theo màu thì tốt nhất nên quản lý theo layer.


  • 0

114123_building_folds_demolition.gif


#4 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 07 January 2014 - 12:16 PM

Ví dụ thế này chăng?

 

(defun C:HA()
 (vl-load-com)
 (acad_colordlg (vlax-get (vlax-ename->vla-object (car (entsel))) 'Color)))
 

Hề hề hề,

Hay là cái ni nhể:

(defun c:getcol (/ col)

(setq col (cdr (assoc 62 (entget (car (entsel "\n chon doi tuong can xac dinh mau"))))))

(alert (strcat "\n Doi tuong co mau so: " (if col (rtos col 2 0) "256"))))


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#5 khuatduyluong

khuatduyluong

    biết vẽ rectang

  • Members
  • PipPip
  • 81 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 07 January 2014 - 12:52 PM

Hề hề hề,

Hay là cái ni nhể:

(defun c:getcol (/ col)

(setq col (cdr (assoc 62 (entget (car (entsel "\n chon doi tuong can xac dinh mau"))))))

(alert (strcat "\n Doi tuong co mau so: " (if col (rtos col 2 0) "256"))))

 

 

Các bác viết lisp nhanh quá. Có thời gian em ít dùng đến cad nên không quan tâm đến lisp thành ra quên mất. H lại cần.

Khi nào có thời gian hướng dẫn lại em được không. Cụ tỉ có thể cho em danh sách các hàm với ý nghĩa của nó trong lisp?


  • 0

#6 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 07 January 2014 - 01:09 PM

Các bác viết lisp nhanh quá. Có thời gian em ít dùng đến cad nên không quan tâm đến lisp thành ra quên mất. H lại cần.

Khi nào có thời gian hướng dẫn lại em được không. Cụ tỉ có thể cho em danh sách các hàm với ý nghĩa của nó trong lisp?

Hề hề hề,

về các hàm cơ bản trong lisp thì bạn cứ vào help developer của CAD là có khá đầy đủ. Ngoài ra nếu đã cài express tôls thì trong đó cũng có một mớ hàm kết hợp để tham khảo.

Về tài liệu để học viết lisp thì trên diễn đàn này đã có post kha khá rồi.

Hiện diễn đàn còn có lớp học về Autolisp online.

Chỉ cần bạn thích thì sẽ học và làm tốt líp mà thôi. Cũng chẳng khó khăn hơn so với net là bao nên mình tin bạn sẽ thành công. (Bằng cớ là mình đang mù net như vẫn có thể viết được lisp đấy thôi).


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.